CHSH(1)

NAME
chsh - change login shell

SYNOPSIS

chsh [-s login_shell] [user]

DESCRIPTION

chsh changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account, the super user may change the login shell for any account.

The only restrictions placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the super-user, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from every changing her login shell back to its original value.

OPTIONS

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

FILES

/etc/passwd
    user account information

/etc/shells
    list of valid login shells

SEE ALSO

chfn(1), passwd(5)

AUTHOR

Julianne Frances Haugh <jockgrrl@ix.netcom.com>